Bug 177118 - devel/apr1 with FREETDS enabled, does not have proper depends to include expat.h
devel/apr1 with FREETDS enabled, does not have proper depends to include expat.h
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: apache
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-19 17:20 UTC by chris.dukes.aix
Modified: 2013-03-26 09:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chris.dukes.aix 2013-03-19 17:20:00 UTC
===> The following configuration options are available for apr-1.4.6.1.4.1_3:
====> Options available for the radio CRYPTO: you can only select none or one of them
     SSL=on: OpenSSL crypto driver
====> Options available for the group APR
     THREADS=on: Threading support
     IPV6=on: IPv6 protocol
     DEVRANDOM=on: Use /dev/random or compatible
====> Options available for the group APU
     BDB=on: Berkeley Database
     GDBM=on: GNU dbm library
     LDAP=off: LDAP support
     MYSQL=off: MySQL database
     NDBM=off: NDBM support
     PGSQL=off: PostgreSQL database
     SQLITE=off: SQLite database
     FREETDS=on: FreeTDS library
===> Use 'make config' to modify these settings
..
/bin/sh /wrkdirs/usr/ports/devel/apr1/work/apr-1.4.6/libtool --silent --mode=compile clang -g -O2   -DHAVE_CONFIG_H    -I/wrkdirs/usr/ports/devel/apr1/work/apr-util-1.4.1/include -I/wrkdirs/usr/ports/devel/apr1/work/apr-util-1.4.1/include/private -I/usr/local/include  -I/wrkdirs/usr/ports/devel/apr1/work/apr-1.4.6/include  -I/usr/include -I/usr/local/include -I/usr/local/include/db42  -o xml/apr_xml.lo -c xml/apr_xml.c && touch xml/apr_xml.lo
xml/apr_xml.c:35:10: fatal error: 'expat.h' file not found
#include <expat.h>
         ^
1 error generated.
*** [xml/apr_xml.lo] Error code 1

Stop in /wrkdirs/usr/ports/devel/apr1/work/apr-util-1.4.1.
*** [all-recursive] Error code 1


I suspect the LIB_DEPENDS for expat needs to also be duplicated for BUILD_DEPENDS.  It probably can be conditional on FREETDS being enabled.

How-To-Repeat: Build devel/apr1 with defaults + FREETDS
Comment 1 Mark Linimon freebsd_committer 2013-03-19 22:23:06 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-03-19 22:23:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Olli Hauer freebsd_committer 2013-03-24 12:16:49 UTC
State Changed
From-To: open->feedback

Strange ... 
I don't see this issue with tinderbox builds. 
Setting expat as additional BUILD_DEPENDS will not change 
anything because LIB_DEPENDS will be installed before 
BUILD_DEPENDS. 

Can you provide me the output of the following commands. 
$> cd devel/apr1 
$> make clean 
$> script -q b.log make 

+ additional the two config.logs  
- work/apr-1.4.6/config.log 
- work/apr-util-1.4.1/config.log
Comment 4 Olli Hauer freebsd_committer 2013-03-26 09:06:50 UTC
State Changed
From-To: feedback->closed

Hi Christopher, 
the issue should be fixed now, it was a stupid typo. 

Thanks for your help!
Comment 5 dfilter freebsd_committer 2013-03-26 09:08:41 UTC
Author: ohauer
Date: Tue Mar 26 09:06:12 2013
New Revision: 315269
URL: http://svnweb.freebsd.org/changeset/ports/315269

Log:
  - fix build with freetds
  - no version bump (not a default option)
  
  PR:		177118
  Submitted by:	Christopher Dukes <chris.dukes.aix@gmail.com>

Modified:
  head/devel/apr1/Makefile

Modified: head/devel/apr1/Makefile
==============================================================================
--- head/devel/apr1/Makefile	Tue Mar 26 08:56:28 2013	(r315268)
+++ head/devel/apr1/Makefile	Tue Mar 26 09:06:12 2013	(r315269)
@@ -119,7 +119,7 @@ APU_CONF_ARGS+=	--without-ldap
 APU_EXTRAS=	yes
 PLIST_SUB+=	FREETDS=""
 APU_CONF_ARGS+=	--with-freetds=${LOCALBASE}
-LIB_DEPENDS=	sybdb:${PORTSDIR}/databases/freetds
+LIB_DEPENDS+=	sybdb:${PORTSDIR}/databases/freetds
 .else
 PLIST_SUB+=	FREETDS="@comment "
 APU_CONF_ARGS+=	--without-freetds
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"